package com.jz.dmp.modules.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel(value = "新增--新增选择源表返回参数", description = "新增--新增选择源表返回参数")
public class RealTimeSyncModel {
	
	/**
	 * 来源数据源id
	 */
	@ApiModelProperty(value = "来源数据源id")
	private Integer srcdatasourceId;
	
	/**
	 * 来源数据源名称
	 */
	@ApiModelProperty(value = "来源数据源名称")
	private String dataSourceName;
	
	/**
	 * 数据库名称
	 */
	@ApiModelProperty(value = "数据库名称")
	private String dbName ;
	
	
	/**
	 * 来源数据源下的表信息
	 */
	@ApiModelProperty(value = "来源数据源下的表信息")
	private List<RealTimeSyncTableModel> tables;

	public Integer getSrcdatasourceId() {
		return srcdatasourceId;
	}

	public void setSrcdatasourceId(Integer srcdatasourceId) {
		this.srcdatasourceId = srcdatasourceId;
	}

	public String getDataSourceName() {
		return dataSourceName;
	}


	public void setDataSourceName(String dataSourceName) {
		this.dataSourceName = dataSourceName;
	}


	public String getDbName() {
		return dbName;
	}


	public void setDbName(String dbName) {
		this.dbName = dbName;
	}


	public List<RealTimeSyncTableModel> getTables() {
		return tables;
	}


	public void setTables(List<RealTimeSyncTableModel> tables) {
		this.tables = tables;
	}
	
}
